Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: проблема с обновлением пакетов  (Прочитано 4589 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн autokilla47

  • Автор темы
  • Любитель
  • *
  • Сообщений: 90
    • Просмотр профиля
проблема с обновлением пакетов
« : 19 Декабрь 2011, 12:16:26 »
при попытке обновить пакеты через synaptic , выдается ошибка:
E: Некорректный перечень пакетов. Нет поля Filename: для пакета имя_пакета.
E: Невозможно заблокировать каталог для загрузки

в чем проблема?

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #1 : 19 Декабрь 2011, 14:18:01 »
давай вывод
sudo apt-get update
sudo apt-get dist-upgrade

Оффлайн autokilla47

  • Автор темы
  • Любитель
  • *
  • Сообщений: 90
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #2 : 20 Декабрь 2011, 14:58:07 »
давай вывод
sudo apt-get update
sudo apt-get dist-upgrade
у меня после выполнения вроде стало обновляться,но те которые не обновлялись вообще пропали из обновляемых)))

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Re: проблема с обновлением пакетов
« Ответ #3 : 20 Декабрь 2011, 15:00:24 »
sudo apt-get -f installОшибок нет?

Оффлайн autokilla47

  • Автор темы
  • Любитель
  • *
  • Сообщений: 90
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #4 : 20 Декабрь 2011, 15:51:27 »
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
xxxxxxxxxxxxxxxxxxxxxxxxxx
xxxxxxxxxxxxxxxxxxxxx
Для их удаления используйте 'apt-get autoremove'.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

Оффлайн drako

  • Старожил
  • *
  • Сообщений: 1422
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #5 : 20 Декабрь 2011, 16:09:21 »
Я как-то заловил, что пакеты переименовывают - хз зачем, и после этого надо обязательно обновить список пакетов apt-get update, а иначе ошибка установки будет.

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #6 : 20 Декабрь 2011, 16:25:59 »
Я как-то заловил, что пакеты переименовывают - хз зачем

чтоб отличать новые версии от старых.

Оффлайн drako

  • Старожил
  • *
  • Сообщений: 1422
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #7 : 20 Декабрь 2011, 16:29:27 »
чтоб отличать новые версии от старых.
Новые от старых и так циферками отличаются.

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #8 : 20 Декабрь 2011, 17:00:38 »
тогда что имелось ввиду под переименованием пакетов, если вы про циферки знаете?

Оффлайн drako

  • Старожил
  • *
  • Сообщений: 1422
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #9 : 20 Декабрь 2011, 17:07:11 »
То и имелось, пакету дополнительные букавки приписали.

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Re: проблема с обновлением пакетов
« Ответ #10 : 20 Декабрь 2011, 17:13:59 »
drako, например, чтобы можно было установить 2 версии одного пакета.

Оффлайн drako

  • Старожил
  • *
  • Сообщений: 1422
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #11 : 20 Декабрь 2011, 17:30:08 »
drako, например, чтобы можно было установить 2 версии одного пакета.
ключевой момент в слове "переименовать" - то что пакетов от этого не удваивается и не утраивается одной версии.

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #12 : 20 Декабрь 2011, 17:35:26 »
То и имелось, пакету дополнительные букавки приписали.

приведите пример дописывания буковок.

всё, что после названия пакета через тире - это версия. Она может включать и буковки.

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Re: проблема с обновлением пакетов
« Ответ #13 : 20 Декабрь 2011, 17:39:40 »
drako, я вот это имел ввиду:

a-1.0
b-1.0 depends: a=1.0
c-1.0 depends: a>=1.0

update
a-1.0
aa-1.1
b-1.0 depends: a=1.0
c-1.1 depends: aa>=1.1

Оффлайн drako

  • Старожил
  • *
  • Сообщений: 1422
    • Просмотр профиля
Re: проблема с обновлением пакетов
« Ответ #14 : 20 Декабрь 2011, 17:41:03 »
приведите пример дописывания буковок.
Издеваетесь, думаете я помню какие именно буквы были изменены, когда я больше года назад эту фишку увидел?  :idiot2:
И после тире не только версия самой программы, но и версия пакета.

 

Страница сгенерирована за 0.084 секунд. Запросов: 25.